# scrttv — SeisComP Release documentation

6.9.0

# scrttv

Real-time trace view.

## Description

scrttv visualizes waveform data in miniSEED format (see Figure below) in real-time or from archives with a defined window length (default: 30 minutes) of defined streams/stations (default: streams defined by global bindings). Additionally, phase picks are visualized.

scrttv can be used for view waveforms, visual waveform quality control or interactive signal detection.

When in message mode scrttv dynamically resorts waveforms: Normally, the trace order is given by configuration, e.g., ordering by epicentral distance from a location given by `streams.sort.latitude` and `streams.sort.longitude`. In the event that a new SeisComP event arrives from the messaging, the traces are sorted automatically by epicentral distance to the latest origin received. In addition to waveforms, information about gaps or overlaps, picks and the time of incoming origins are displayed.

scrttv overview

An example of scrttv and the dialog window to associate picks to new origins. Tabs: Enable/Disable; Amplitude: mean and maximum; Stream: station, network, sensor location and channel code; Filter: filter applied traces; Status = connection status to messaging.

scrttv shows two tabs: the Enabled and the disabled tab (see scrttv overview). Stations listed in the disabled tab are excluded from automatic processing (e.g. phase picking). To move a station from one tab to another just drag and drop the trace to the new tab. An alternative solution is to double click on the trace label to disable a trace. Read the section Waveform Quality Control for the details.

Normally, the raw data are displayed. Pressing `f` the predefined bandpass filter of third order from 0.5 Hz to 8 Hz, BW(3,0.5,8) is applied to the traces. Also zoom functions for the time and amplitude axis are provided. Read the sections <scrttv-filtering> and Waveform Visualization for more details.

Among the configurable parameters are:

- Global bindings:

  - default definition of traces to show (`detecStream` and `detecLocid`).

- Module configuration:

  - network, stations, locations and streams to show extending or overriding the default definition (`streams.codes`),

  - data filters,

  - buffer size controlling the length of loaded data (`bufferSize`),

  - sorting of traces upon arrival of new origins (`resortAutomatically`),

  - reference coordinate for sorting traces by default (`streams.sort.*`),

  - region filters (`streams.region.*`),

  - grouping of streams with different properties,

  - number of traces to show with fixed height (`streams.rows`).

- Scheme parameters in global module configuration:

  - trace properties and trace background colors,

  - font and general GUI parameters.

More parameters are available on the command-line:

    scrttv -h

## Modes of Operation

scrttv can be started in message mode or in offline mode.

- Message mode: scrttv is started normally and connects to the messaging, picks, origins and inventory are read from the database and received in real time from the messaging. Data are received from recordstream.

- Offline mode: scrttv is started without connection to the messaging, picks and origins are not received in real time from the messaging. However, they can be loaded from XML files using the File menu. Data are received from recordstream or from file. The offline mode is invoked when using the option `--offline` or when passing a file name to scrttv at startup. Example:

      scrttv file.mseed

## Waveform Visualization

### Stream selection

Without further configuration scrttv displays waveforms for streams defined in global bindings. The selection can be refined by configuring `streams.codes` and overridden on the command line using `--channels`.

### Stream hiding

Streams with data latency < `maxDelay` are hidden but shown again when applicable. By default `maxDelay` is unconfigured and hiding streams is inactive. For listing streams hidden from one tab press `h`.

### Time windows

The reading waveforms from RecordStream, the data is displayed for a time window which by default ends at current time or as given by the command-line option `--end-time`. Initially, the time window takes the length defined in `bufferSize` or by the option `--buffer-size`. When reading data directly from file in offline mode, the time window is set from the time limits of the waveforms.

- The length of visible time windows can be adjusted by zooming.

- The end time of the data progresses in continuously in real time (UTC) with the time of the computer clock unless fixed (`F8`). The end time is fixed during startup when applying `--end-time`.

- For progressing or rewinding by 30 minutes press ``Alt` `right`` or ``Alt` `left``, respectively. Data will be loaded immediately.

- You may also freely zoom into any time window. Data and picks will be loaded when pressing ``Ctrl` ``+`` `r``

- Return to default real-time processing by pressing ``Ctrl` ``+`` `Shift` ``+`` `r`` or `N`.

Hint

Gaps and overlaps in waveforms are indicated by yellow and purple areas, respectively. The colors are configurable.

### Zooming

Waveforms can be zoomed in and out interactively in amplitude and time. Use the View menu or refer to the section Hotkeys for options. In addition to the actions available from the View menu, zooming is supported by mouse actions:

- Zooming in in time: Right-click on time axis, drag to the right. A green bar appears which is the new time window. Dragging up or down (gray bar) disables zooming.

- Zooming out in time: Right-click on time axis, drag to the left. A red bar appears. The longer the bar, the more you zoom out. Dragging up or down (gray bar) disables zooming.

- Zooming in time and amplitude: Mouse over a trace of interest, use ``Ctrl` ``+`` `mouse` `wheel`` for zooming in or out.

- Zooming around a selected area: Press `z` and drag an area with while pressing the left mouse button. Press `z` again for leaving the zoom mode.

### Stream grouping

scrttv allows grouping of stations and even streams with different properties, e.g. colors or color gradients.

Stations with 2 groups and different line color gradients. Ungrouped stations are visible with default line properties. The applied filter is shown in the lower left corner. The tooltip on top of station CX.PB19 is derived from `streams.group.$name.title`.

Configuration

Adjust the scrttv module configuration (`scrttv.cfg`).

1. Define the groups:

   - add a new group profile to `streams.group`.

   - set the properties for this group profile. Colors and color gradients are defined by hexadecimal values or by color keyword name. When choosing gradients the colors of the traces within one group will be varied in alphabetic order of the streams.

   - set a group title in `streams.group.$name.title`.

2. Register the groups in `streams.groups`.

Viewing groups

1. Open scrttv to view the data.

2. Select Sort by group in the Interaction menu or use the hotkey `5` to sort the traces by their groups.

3. Mouse over a station belonging to a group. The tooltips shows the group title.

4. For maintaining the sorting by groups adjust the scrttv module configuration (`scrttv.cfg`):

       resortAutomatically = false

### Phase picks and arrivals

Previous versions of scrttv (< 5.4) only displayed picks with the colors indicating the pick evaluation mode along with the phase hint of the pick:

- red: automatic,

- green: manual.

This hasn’t really changed in later versions but additionally scrttv determines an additional state of a pick called arrival. In scrttv a pick is considered an arrival if it is associated to an valid origin. An origin is called valid if its evaluation status is not REJECTED. When scrttv loads all picks from the database for the currently visible time span it also checks if each pick is associated with a valid origin and declares the arrival state if the check yields true. The visibility of picks and arrivals can be toggled by pressing ``Ctrl` ``+`` `p`` and ``Ctrl` ``+`` `a``, respectively. `c` removes all markers. The configuration parameter `showPicks` controls the default visibility.

Picks and arrivals can be differentiated visually by their colours. When configured in global module configuration, the same colours are being used consistently as in any other GUI displaying both types, namely

- `scheme.colors.picks.automatic`

- `scheme.colors.picks.manual`

- `scheme.colors.picks.undefined`

- `scheme.colors.arrivals.automatic`

- `scheme.colors.arrivals.manual`

- `scheme.colors.arrivals.undefined`

That visual difference should support the operator in finding clusters of picks and creating new location missed by the automatic system.

The next sections will only use the pick which can be used interchangeable for pick or arrival.

### Record borders

The borders of records are toggled by using the hotkey `b`.

Record borders in box mode on top of waveforms.

Border properties can be adjusted and signed records can be visualized by colors configured in the scheme parameters in `global.cfg` or `scrttv.cfg`:

- `scheme.records.borders.drawMode`: Define where to draw borders, e.g. on top, bottom or as boxes.

- `scheme.colors.records.borders.*`: Define pen and brush properties.

## Waveform Quality Control

Use scrttv for regular visual waveform inspection and for enabling or disabling of stations. Disabled stations will not be used for automatic phase detections and can be excluded from manual processing in scolv. They will also be highlighted in scmv and scqc.

To enable or disable a station for automatic data processing in SeisComP select a station code with the mouse and drag the stations to the disable / enable tab or simply double-click on the station code in the respective tab.

## Stream Processing

### Filtering

scrttv allows filtering of waveforms. Any filter available in SeisComP can be considered. The filter selection dropdown menu (see Figure above) and the hotkeys `g` or `d` can be used to toggle the list of filters. This list of pre-defined in `filter` or in `filters`. You may switch between filtere and unfiltered data by pressing `f`. To show filtered and raw data together use the hotkey `r`.

Note

The list of filters defined in `filters` overwrites `filter`. Activate `autoApplyFilter` to filter all traces at start-up of scrttv with the first filter defined in `filters`.

### Gain correction

The stream gain is applied to waveforms and amplitude values are given in the physical units defined in the inventory of the stream by default. For showing amplitudes in counts, deactivate the option Apply gain in the Interaction menu.

## Interactive Signal Detection

Beside visual inspection of waveforms for quality control, scrttv can also be used for interactive signal detection in real time or for selected time windows in the past.

### Artificial origins

Artificial origin.

In case the operator recognizes several seismic signals which shall be processed further, e.g. in scolv, an artificial/preliminary origin can be set by either pressing the middle mouse button on a trace or by opening the context menu (right mouse button) on a trace and selecting “Create artificial origin”. The following pop-up window shows the coordinates of the selected station and the time the click was made on the trace. The coordinates and time define the hypocenter parameters of the the new artificial origin without adding any arrivals. Pressing “Create” sends this origin to the LOCATION group. This artificial origin is received e.g., by scolv and enables an immediate manual analysis of the closest traces.

In order to send artificial origins and receive them in other GUIs `commands.target` of the global module configuration must be configured in line with `connection.username` of the receiving GUI module.

Alternatively, picks can be selected and preliminary origins can be created which are sent to the system as regular origin objects, see section Pick association.

### Pick association

scrttv comes with a minimal version of a phase associator and manual locator based on selected and associated picks (Fig. scrttv overview). The workflow is:

1. Visually identify phase picks which potentially belong to an event of interest,

2. Select these picks for automatic association,

3. Control the locator,

4. Commit created origins along with all associated picks.

Origins are committed to the messaging system as manual but preliminary location. In contrast to the artificial origin operation which requires an immediate intervention with, e.g. scolv, this operation allows to store all those detected origins and work on them later because they will be stored in the database.

Note

More detailed waveform and event analysis can be made in scolv.

#### Pick selection

In order to select picks, the pick association mode must be entered. When done, clicking with mouse onto the data and dragging a box (rubber band) around the picks of interest will add the picks to a “cart”. “cart” refers to the list of selected picks which then available in the associator/locator control widget used for locating an origin.

Simply dragging a new box will remove all previously selected picks. Further keyboard-mouse options are:

- ``Shift` ``+`` `drag``: Add more picks to the while keeping the previous selection.

- ``Ctrl` ``+`` `drag``: Remove selected picks from the previous selection.

If at least one pick has been selected, the associator control will open as a dock widget for locating based on the selected picks. There, individual picks can also be removed from the selection by clicking on the close icon of each pick item. Selected picks are also highlighted in the traces by a color background bar.

Note

A dock widget is a special kind of window which can be docked to any border of the application or even displayed floated as kind of overlay window. The position of the dock widget will be persistent across application restarts.

At any change of the pick set, the associator will attempt a relocation displaying the results in the details. Error message will show up at the top.

#### Locating from picks

The associator control exposes all locators available in the system presenting them in a dropdown list at the bottom. The locator which should be selected as default can be controlled with `associator.defaultLocator` and its default profile by `associator.defaultLocatorProfile`.

Whenever the operator changes any of the values, a new location attempt is being made which can succeed or fail. A successful attempt will update the details, a failed attempt will reset the details and print an error message at the top of the window.

Each locator can be configured locally by clicking the wrench icon. This configuration is not persistent across application restarts. It can be used to tune and test various settings. Global locator configurations in the configuration files are of course being considered by scrttv.

In addition to the locator and its profile a fixed depth can be set. By default the depth is free and it is up to the locator implementation to assign a depth to the origin. The depth dropdown list allows to set a predefined depth. The list of depth values can be controlled with `associator.fixedDepths`.

#### Committing a solution

Once you accept a solution you may press the button “Commit” be for sending it to the messaging as a regular origin. The receiving message group is defined by `messaging.groups.location`. The new origin is then grabbed by all connected modules, e.g., scevent and possibly associated to an event.

Note

When considering non-default message groups such as in multi-pipeline systems, `messaging.groups.location` should be configuring accordingly.

Alternatively, the button “Show Details” can be used to just send the origin to the GUI group and let scolv or other GUIs pick it up and show it. This will not store the origin in the database and works the same way as creating artificial origins.

## Hotkeys

Hotkey | Description
--- | ---
`F1` | Open SeisComP documentation
``Shift`+`F1`` | Open scrttv documentation
`F2` | Setup connection dialog
`F11` | Toggle fullscreen
`ESC` | Set standard selection mode and deselect all traces
`c` | Clear picker markers
`b` | Toggle record borders
`h` | List hidden streams
``Ctrl`+`a`` | Toggle showing arrivals
``Ctrl`+`p`` | Toggle showing picks
`n` | Restore default display
`o` | Align by origin time
`p` | Enable pick selection mode
``Alt`+`left`` | Reverse the data time window by buffer size
``Alt`+`right`` | Advance the data time window by buffer size
Filtering |
`f` | Toggle filtering
`d` | Switch to previous filter in list if filtering is enabled.
`g` | Switch to next filter in list if filtering is enabled.
`r` | Toggle showing all records
Navigation |
``Ctrl`+`f`` | Search traces
`up` | Line up
`down` | Line down
`PgUp` | Page up
`PgDn` | Page down
``Alt`+`PgUp`` | To top
``Alt`+`PgDn`` | To bottom
`left` | Scroll left
`right` | Scroll right
``Ctrl`+`left`` | Align left
``Ctrl`+`right`` | Align right
Navigation and data |
``Alt`+`left`` | Rewind time window by 30’ and load data
``Alt`+`right`` | Progress time window by 30’ and load data
``Ctrl`+`r`` | (Re)load data in current visible time range
``Ctrl`+`Shift`+`r`` | Switch to real-time with configured buffer size
Sorting |
`1` | Restore configuration order of traces
`2` | Sort traces by distance
`3` | Sort traces by station code
`4` | Sort traces by network-station code
`5` | Sort traces by group
Zooming |
`<` | Horizontal zoom-in
`>` | Horizontal zoom-out
`y` | Vertical zoom-out
``Shift`+`y`` | Vertical zoom-in
`s` | Toggle amplitude normalization
``Ctrl`+`mouse` `wheel`` | Vertical and horizontal zooming
`z` | Enable/disable zooming: Drag window with left mouse button

## Module Configuration

`etc/defaults/global.cfg`
`etc/defaults/scrttv.cfg`
`etc/global.cfg`
`etc/scrttv.cfg`
`~/.seiscomp/global.cfg`
`~/.seiscomp/scrttv.cfg`

scrttv inherits global options.

maxDelay

  Default: `0`

  Type: int

  Unit: s

  If greater than 0, then all traces for which the data latency is higher than this value are hidden. 0 disables the feature.

resortAutomatically

  Default: `true`

  Type: boolean

  If enabled, then all traces are sorted by distance when a new origin arrives.

showPicks

  Default: `true`

  Type: boolean

  If enabled, picks are shown.

mapPicks

  Default: `false`

  Type: boolean

  Map picks to best matching rows. This is important if picks created on BHN should be shown but only the BHZ trace is part of the list. Network code, station code and location code must match anyway.

filter

  Type: string

  Define the filter to be used when filtering is activated. This parameter is ignored if "filters" is configured. This parameter exists mainly for backward compatibility.

filters

  Default: `"RMHP(2)>>ITAPER(5)>>BW(3,0.5,8.0)","RMHP(2)>>ITAPER(5)>>BW_HP(3, 3)"`

  Type: list:string

  Define a list of filters that is cycles through when pressing ‘G’ or ‘D’. Filtering is toggled with ‘F’. This parameter supersedes "filter". If undefined, "filter" is used instead. If defined, this filter list is used exclusively and the filter option is ignored.

  Formats:

  "filter grammar": filter grammar is shown in the scrttv filter selection and applied.

  "name;filter grammar": name is shown in the scrttv filter selection but filter grammar is applied.

autoApplyFilter

  Default: `false`

  Type: boolean

  Activate the first filter of the configured filter list after startup. This is equivalent to pressing ‘f’.

bufferSize

  Default: `1800`

  Type: int

  Unit: s

  Define the buffer size in seconds of the ring bu of each trace.

allTracesInitiallyVisible

  Default: `false`

  Type: boolean

  If set to true, all traces will be visible on application startup independent of data availability.

autoResetDelay

  Default: `900`

  Type: int

  Unit: s

  Time span in seconds to switch back to the last view after an origin caused resorting. The default is 15 min.

3c

  Default: `false`

  Type: boolean

  If enabled, all three components (vertical, 1st and 2nd horizontal) related to the detecStream will be shown rather than only the component configured in global bindings. The option is ignored when using --no-inventory.

messaging.groups.config

  Default: `CONFIG`

  Type: string

  The messaging group to which config messages (such as station enable/disable messages) are being sent.

messaging.groups.location

  Default: `LOCATION`

  Type: string

  The messaging group to which location messages are being sent.

streams.codes

  Type: list:string

  The list of channel codes to be displayed. List items may contain wildcards at any position and are separated by comma. Wildcard support depends on RecordStream, e.g.:

  caps/sdsarchive: *.*.*.*

  slink: NET.STA.*.*

  The channel list is intersected with all channels configured in inventory unless --no-inventory is used.

  Examples:

  default : display all streams configured by global bindings

  default, PF.BON.00.HH? : display default and all HH streams of PF.BON.00

streams.blacklist

  Type: list:string

  If not empty then all stream patterns are part of the blacklist. The blacklist is only active if "streams.codes" is omitted and the default stream list according to the bindings is to be shown. Each pattern can include wildcards (either ? or *). The pattern is checked against the channel id which is a concatenation of network code, station code, location code and channel code separated with a dot, e.g. "GE.MORC..BHZ".

streams.rows

  Type: integer

  Number of rows to show at once in one windows. If more traces than rows are loaded, the are accessible by a scroll bar.

streams.groups

  Type: string

  Stream group profiles to be considered which must be defined in group section. Use comma separation for a list of groups.

streams.profiles

  Type: string

  Stream profiles to be considered which must be defined in profile section. Use comma separation for a list of profiles.

Note

streams.sort.* Configure the initial stream sorting.

streams.sort.mode

  Default: `distance`

  Type: string

  The sort mode applied initially. Allowed values are: config, distance, station, network, group.

streams.sort.latitude

  Default: `0.0`

  Type: double

  Unit: deg

  Latitude of the initial location for sorting traces. Only valid if mode == distance.

streams.sort.longitude

  Default: `0.0`

  Type: double

  Unit: deg

  Longitude of the initial location for sorting traces. Only valid if mode == distance.

Note

streams.region.* Define a region used for clipping requested stations.

streams.region.lonmin

  Default: `-180.0`

  Type: double

  Unit: deg

  Minimum longitude.

streams.region.lonmax

  Default: `180.0`

  Type: double

  Unit: deg

  Maximum longitude.

streams.region.latmin

  Default: `-90.0`

  Type: double

  Unit: deg

  Minimum latitude.

streams.region.latmax

  Default: `90.0`

  Type: double

  Unit: deg

  Maximum latitude.

Note

streams.group.* Definiton of stream groups shown in scrttv with unique features. Register the profiles in “groups” to apply them.

Note

streams.group.$name.* $name is a placeholder for the name to be used and needs to be added to `streams.groups` to become active.

    streams.groups = a,b
    streams.group.a.value1 = ...
    streams.group.b.value1 = ...
    # c is not active because it has not been added
    # to the list of streams.groups
    streams.group.c.value1 = ...

streams.group.$name.members

  Type: list:string

  List of channels codes to be displayed within this group. List items may contain wildcards at any position and are separated by comma. The list is intersected with all channels configured in inventory.

  Example:

  CX.*..BH?,PF.BON.00.HH? : all BH streams of the CX network and all HH streams of PF.BON.00

streams.group.$name.title

  Type: string

  Title of the group visible as a tooltip of the traces.

Note

streams.group.$name.pen.* Define the trace pen of the group.

streams.group.$name.pen.color

  Type: color

  The color of the pen. If not given, the default trace color is being used. The parameter is overridden by "streams.group.$profile.gradient" .

streams.group.$name.pen.gradient

  Type: gradient

  Define the color gradient used to generate the trace color for each group member. When given, the value in "streams.group.$profile.pen.color" is ignored. The colors are distributed equally and given in hexadecimal representation or by or color keyword names. The stop points can be set at any value. The final trace color will be interpolated from the normalized gradient where the value range is scaled to [0,1].

  Format: value1:color1,value2:color2

  Examples:

  0:yellow,1:green

  0:FFBF00,1:C70039

streams.group.$name.pen.style

  Default: `SolidLine`

  Type: string

  The style of the pen. Supported values are: NoPen, SolidLine, DashLine, DotLine, DashDotLine, DashDotDotLine.

streams.group.$name.pen.width

  Default: `1.0`

  Type: double

  Unit: px

  The width of the pen.

Note

streams.profile.* Definiton of profiles for streams shown with unique decorations. Register the profiles in “profiles” to apply them.

Note

streams.profile.$name.* $name is a placeholder for the name to be used and needs to be added to `streams.profiles` to become active.

    streams.profiles = a,b
    streams.profile.a.value1 = ...
    streams.profile.b.value1 = ...
    # c is not active because it has not been added
    # to the list of streams.profiles
    streams.profile.c.value1 = ...

streams.profile.$name.match

  Type: string

  Stream applying this profile to. Use regular expressions for defining multiple streams. Examples:

  GR.BFO.00.BHZ: One stream on vertical component

  GR.*.00.BHZ: All stations from GR network and their vertical components.

streams.profile.$name.description

  Type: string

  Text added to streams.

streams.profile.$name.minMaxMargin

  Default: `0.0`

  Type: double

  Fraction of trace amplitude added to trace widgets.

streams.profile.$name.unit

  Type: string

  The physical unit shown along with stream maximum and minimum values.

streams.profile.$name.gain

  Default: `0.0`

  Type: double

  The gain applied to scale trace amplitudes. 0 disables showing trace amplitude value

streams.profile.$name.fixedScale

  Default: `false`

  Type: boolean

Note

streams.profile.$name.minimum.* Properties defining the minimum line on each trace.

streams.profile.$name.minimum.value

  Default: `0.0`

  Type: double

  Value at which to draw a line.

Note

streams.profile.$name.minimum.pen.* Line properties.

streams.profile.$name.minimum.pen.width

  Default: `1`

  Type: string

streams.profile.$name.minimum.pen.style

  Default: `solidline`

  Type: string

streams.profile.$name.minimum.pen.color

  Default: `000000ff`

  Type: string

Note

streams.profile.$name.minimum.brush.* Properties of the area below the minimum.

streams.profile.$name.minimum.brush.style

  Default: `nobrush`

  Type: string

streams.profile.$name.minimum.brush.color

  Default: `000000ff`

  Type: string

Note

streams.profile.$name.maximum.* Properties defining the maximum line on each trace.

streams.profile.$name.maximum.value

  Default: `0.0`

  Type: double

  Value at which to draw a line.

Note

streams.profile.$name.maximum.pen.* Line properties.

streams.profile.$name.maximum.pen.width

  Default: `1`

  Type: string

streams.profile.$name.maximum.pen.style

  Default: `solidline`

  Type: string

streams.profile.$name.maximum.pen.color

  Default: `000000ff`

  Type: string

Note

streams.profile.$name.maximum.brush.* Properties of the area above the maximum.

streams.profile.$name.maximum.brush.style

  Default: `nobrush`

  Type: string

streams.profile.$name.maximum.brush.color

  Default: `000000ff`

  Type: string

Note

associator.* Define parameters for manually associating phases to origin and for locating the origins.

associator.defaultLocator

  Type: string

  The locator which is activated as default locator.

associator.defaultLocatorProfile

  Type: string

  The locator profile which is activated as default profile for the default locator.

associator.fixedDepths

  Default: `0, 10, 18`

  Type: list:double

  Unit: km

  A list of depths used to populate the locator depth selection dropdown list.

Note

spectrogram.* Define parameters for spectrogram representation.

spectrogram.smoothing

  Default: `false`

  Type: boolean

  Whether to plot the spectrogram filtered bilinearily.

spectrogram.logScale

  Default: `false`

  Type: boolean

  Whether to use logarithmic frequency scale.

spectrogram.normalization

  Default: `fixed`

  Type: string

  Which amplitude normalization mode to use: "fixed", "frequency" or "time".

spectrogram.axis

  Default: `false`

  Type: boolean

  Whether to show the frequency axis.

spectrogram.minimumAmplitude

  Default: `-15`

  Type: double

  Unit: log(ps)

  The lower bound of the static amplitude range give as logarithm of the power spectrum (log(real**2 + imag**2)).

spectrogram.maximumAmplitude

  Default: `-5`

  Type: double

  Unit: log(ps)

  The upper bound of the static amplitude range give as logarithm of the power spectrum (log(real**2 + imag**2)).

spectrogram.minimumFrequency

  Default: `0`

  Type: double

  Unit: Hz

  The lower bound of the frequency to be shown.

spectrogram.maximumFrequency

  Default: `0`

  Type: double

  Unit: Hz

  The upper bound of the frequency to be shown. Zero is a special value and means "auto" and sets the maximum frequency from the spectra.

spectrogram.timeSpan

  Default: `20`

  Type: double

  Unit: s

  The time span of each data slice used to compute the frequency spectrum.

spectrogram.overlap

  Default: `0.5`

  Type: double

  The overlap of the data time window between zero and one (exclusive).

## Command-Line Options

scrttv [options] [miniSEED file]

### Generic

-h, --help

  Show help message.

-V, --version

  Show version information.

--config-file arg

  Use alternative configuration file. When this option is used the loading of all stages is disabled. Only the given configuration file is parsed and used. To use another name for the configuration create a symbolic link of the application or copy it. Example: scautopick -> scautopick2.

--plugins arg

  Load given plugins.

--auto-shutdown arg

  Enable/disable self-shutdown because a master module shutdown. This only works when messaging is enabled and the master module sends a shutdown message (enabled with --start-stop-msg for the master module).

--shutdown-master-module arg

  Set the name of the master-module used for auto-shutdown. This is the application name of the module actually started. If symlinks are used, then it is the name of the symlinked application.

--shutdown-master-username arg

  Set the name of the master-username of the messaging used for auto-shutdown. If "shutdown-master-module" is given as well, this parameter is ignored.

### Verbosity

--verbosity arg

  Verbosity level [0..4]. 0:quiet, 1:error, 2:warning, 3:info, 4:debug.

-v, --v

  Increase verbosity level (may be repeated, eg. -vv).

-q, --quiet

  Quiet mode: no logging output.

--component arg

  Limit the logging to a certain component. This option can be given more than once.

-s, --syslog

  Use syslog logging backend. The output usually goes to /var/lib/messages.

-l, --lockfile arg

  Path to lock file.

--console arg

  Send log output to stdout.

--debug

  Execute in debug mode. Equivalent to --verbosity=4 --console=1 .

--log-file arg

  Use alternative log file.

--print-component arg

  For each log entry print the component right after the log level. By default the component output is enabled for file output but disabled for console output.

--trace

  Execute in trace mode. Equivalent to --verbosity=4 --console=1 --print-component=1 --print-context=1 .

### Messaging

-u, --user arg

  Overrides configuration parameter `connection.username`.

-H, --host arg

  Overrides configuration parameter `connection.server`.

-t, --timeout arg

  Overrides configuration parameter `connection.timeout`.

-g, --primary-group arg

  Overrides configuration parameter `connection.primaryGroup`.

-S, --subscribe-group arg

  A group to subscribe to. This option can be given more than once.

--content-type arg

  Overrides configuration parameter `connection.contentType`.

--start-stop-msg arg

  Set sending of a start and a stop message.

### Database

--db-driver-list

  List all supported database drivers.

-d, --database arg

  The database connection string, format: service://user:pwd@host/database. "service" is the name of the database driver which can be queried with "--db-driver-list".

--config-module arg

  The config module to use.

--inventory-db arg

  Load the inventory from the given database or file, format: [service://]location .

--db-disable

  Do not use the database at all

### Records

--record-driver-list

  List all supported record stream drivers.

-I, --record-url arg

  The recordstream source URL, format: [service://]location[#type]. "service" is the name of the recordstream driver which can be queried with "--record-driver-list". If "service" is not given, "file://" is used.

--record-file arg

  Specify a file as record source.

--record-type arg

  Specify a type for the records being read.

### Options

-i, --input-file xml

  Load picks in given XML file during startup

### Mode

--filter arg

  Overrides configuration parameter `filter`.

--offline

  Do not connect to a messaging server and do not use the database.

--no-inventory

  Do not read streams from inventory but display all streams available from the specified record source. This option may be combined with the streams.codes parameter to filter the available streams.

--end-time arg

  Set the acquisition end time, e.g. ‘2017-09-08 13:30:00’, default: ‘gmt’.

--buffer-size arg

  Overrides configuration parameter `bufferSize`.

--max-delay arg

  Overrides configuration parameter `maxDelay`.

--start-at-now

  Subscribe to data starting at now rather than now - bufferSize

--rt

  Do not ask for time window at data server. This might be important if e.g. Seedlink does not allow time window extraction.

--map-picks

  Overrides configuration parameter `mapPicks`.

--3c

  Overrides configuration parameter `3c`.

--channels

  Channel(s) to display. The channel code may contain wildcards at any position but the support of wildcards depends on RecordStream. Repeat the option for multiple channel groups. Examples:

  default : all streams configured by global bindings.

  GE.*.*.HH? : all HH channels of all stations from GE network.

### Cities

--city-xml arg

  The path to the cities XML file. This overrides the default paths. Compare with the global parameter "citiesXML".

### User interface

-F, --full-screen

  Start the application filling the entire screen. This only works with GUI applications.

-N, --non-interactive

  Use non-interactive presentation mode. This only works with GUI applications.